version: "3.1"

rules:

- rule: Greet whenever the user greets
  steps:
  - intent: greet
  - action: utter_greet

- rule: Say goodbye anytime the user says goodbye
  steps:
  - intent: goodbye
  - action: utter_goodbye

- rule: Say 'I am a bot' anytime the user challenges
  steps:
  - intent: bot_challenge
  - action: utter_iamabot

- rule: Say "You're welcome" whenever the user says thank you
  steps:
  - intent: thanking
  - action: utter_your_welcome